Vector
======

BaseVector
``````````
..  doxygenclass:: paddle::BaseVector
    :members:

Vector Template
```````````````
..  doxygenclass:: paddle::VectorT
    :members:

CpuVector Template
``````````````````
..  doxygenclass:: paddle::CpuVectorT
    :members:

GpuVector Template
``````````````````
..  doxygenclass:: paddle::GpuVectorT
    :members:

ParallelCpuVector Template
``````````````````````````
..  doxygenclass:: paddle::ParallelCpuVectorT
    :members:

ParallelGpuVector Template
``````````````````````````
..  doxygenclass:: paddle::ParallelGpuVectorT
    :members:

CpuGpuVector Template
`````````````````````
..  doxygenclass:: paddle::CpuGpuVectorT
    :members:
